@tailwind base;
@tailwind components;
@tailwind utilities;

@layer components {
  .max-w-mobile {
    max-width: 412px;
  }
  .form-input {
    @apply h-10 px-2 my-1 text-base font-semibold text-gray-700 rounded-md outline-none focus:bg-gray-100 font-rounded ring-2 ring-gray-200 focus:outline-none;
  }

  .form-text-area {
    @apply px-2 my-1 text-base font-semibold text-gray-700 rounded-md outline-none focus:bg-gray-100 font-rounded ring-2 ring-gray-200 focus:outline-none;
  }

  .btn-yellow {
    @apply px-2 py-2 font-semibold bg-yellow-300 rounded-md focus:ring-2 ring-black focus:outline-white focus:shadow-none;
  }

  /* transition start */
  .progress-transition {
    transition: width 1.5s ease;
    -webkit-transition: width 1.5s ease;
    -moz-transition: width 1.5s ease;
    -o-transition: width 1.5s ease;
    transition: width 1.5s ease;
  }

  @keyframes fadeInOpacity {
    0% {
      opacity: 0;
    }
    100% {
      opacity: 1;
    }
  }
  /* transition end */
}
